---
apiVersion: v1
kind: Pod
metadata:
  labels:
    run: red
  name: red
spec:
  containers:
  - name: red
    image: nginx
    volumeMounts:
        - mountPath: /usr/share/nginx/html
          name: data-volume
  volumes:
    - name: data-volume
      hostPath:
        path: /tmp/red
        type: Directory
--- 

apiVersion: v1
kind: Service
metadata:
  labels:
    run: red
  name: red
spec:
  ports:
  - port: 80
    protocol: TCP
    targetPort: 80
  selector:
    run: red
